Cyberduck Mountain Duck CLI

#46 closed enhancement (fixed)

"Kind" file type column in outline view

Reported by: post-at-ktml-dot-net Owned by: dkocher
Priority: normal Milestone: 2.7.2
Component: interface Version: 2.5.3
Severity: minor Keywords: sort, list, kind, file
Cc: Architecture:
Platform:

Description

I think it will be great if there is a "Kind" column for showing the file type. It's useful for sorting the list by file type, so I can group the directories together.

Change History (8)

comment:1 Changed on Dec 12, 2005 at 9:35:10 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Use the 'List View' where the file icon column is the kind column and allows sorting by file type.

comment:2 Changed on Dec 16, 2005 at 5:22:42 AM by post-at-ktml-dot-net

OOOOOOOOOOOOOOOOO... nice.. sorry, didn't notice that :) Thanks

comment:3 Changed on Jan 16, 2006 at 4:52:37 AM by eykanal@…

  • Resolution worksforme deleted
  • Severity changed from normal to minor
  • Status changed from closed to reopened
  • Version changed from 2.5.2 to 2.5.3

I'd like to reopen this ticket, on the basis of usability. The fact that the requested feature is implemented in the aforementioned form doesn't solve the problem that having the icon list be the "type" sort button is rather unintuitive. In my case, I didn't notice it, since (1) there isn't a "type" column in the file view, (2) even in the list view, I didn't notice it was a column until I read this ticket, and (3) even after having read it, I still had to search for it, since it isn't clearly labelled. This program is for the most part an excellent program, interface-wise... this basic functionality should definitely be present. Adding to it shouldn't add too much clutter to the screen. If you're worried about clutter, you can implement an ability to choose which columns you want present, and make only certain ones on by default.

comment:4 Changed on Jan 31, 2006 at 10:26:20 PM by dkocher

  • Milestone changed from 2.6 to 2.5.5

comment:5 Changed on Feb 10, 2006 at 4:17:00 PM by dkocher

  • Milestone changed from 2.5.5 to 2.6
  • Status changed from reopened to new

When implemented this should display the same as the Kind: field in the Finder.app

comment:6 Changed on Jan 14, 2007 at 7:11:13 AM by dkocher

  • Milestone changed from 2.9 to 2.8
  • Status changed from new to assigned
  • Summary changed from "Kind" column to "Kind" file type column in outline view

comment:7 Changed on Jan 14, 2007 at 12:03:15 PM by dkocher

  • Milestone changed from 2.8 to 2.7.2
  • Resolution set to fixed
  • Status changed from assigned to closed

Implemented as of r2743. bedspread

Last edited on Feb 5, 2011 at 11:31:38 PM by rhunna (previous) (diff)
Note: See TracTickets for help on using tickets.
swiss made software